/* 1. Mantém a cor da barra */
.swagger-ui .topbar { 
    background-color: #003366 !important; 
}

.topbar-wrapper .link::before {
    /* Insere a sua imagem antes do link */
    content: "";
    display: inline-block;
    width: 150px;
    height: 40px;
    background-image: url('/Images/CastleR_logo.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    margin-right: 10px;
}

/* 3. Ajusta o logo original do Swagger (remove o texto 'swagger' ao lado da bolinha) */
.topbar-wrapper .link span { 
    display: none !important; 
}